d06_project/urls.py
from django.conf.urls import url, include
from django.contrib import admin
from django.urls import include, path
from django.conf import settings
from django.conf.urls.static import static

urlpatterns = [
    path('admin/', admin.site.urls),
    path('workout/', include(('workout.urls', 'workout'), namespace='workout')),
    path('', include(('main.urls','main'), namespace='main')),
    path('forum/', include(('forum.urls', 'forum'), namespace='forum')),
    path('accounts/', include(('accounts.urls', 'accounts'), namespace='accounts')),
    path('recipe/', include(('recipe.urls', 'recipe'), namespace='recipe')),
    path('covid-19/', include('data_covid.urls', namespace='data_covid')),
    path('comment/' , include(('commentrecipe.urls', 'commentrecipe'), namespace='commentrecipe')),
    path('replyforum/' , include(('replyforum.urls', 'replyforum'), namespace='replyforum'))
] + static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)

if settings.DEBUG:
    urlpatterns += static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)

forum/urls.py
from django.urls import path
from .views import forum
from replyforum.views import createpost, replyforum, editpost, deletepost, pinpost

app_name='forum'

urlpatterns = [
    path('', forum, name='forum'),
    path('create-new-post', createpost, name='createpost'),
    path('reply-a-post', replyforum, name='replyforum'),
    path('edit-a-post', editpost, name='editpost'),
    path('delete-a-post', deletepost, name='deletepost'),
    path('pin-a-post', pinpost, name='pinpost'),
]

main/urls.py
from django.urls import path

from . import views

app_name = 'main'

urlpatterns = [
    path('', views.home, name='home'),
]

forum/models.py
from django.db import models

# Create your models here.

forum/views.py
from django.http import response
from django.shortcuts import render
from replyforum.models import ReplyForum

# Create your views here.
def forum(request):
    posts = ReplyForum.objects.all().order_by('-tanggal')

    response = {'posts' : posts}
    return render(request, "forum/forum.html", response)

forum/templates/forum/forum.html
{% extends 'base.html' %}
{% load static %}
{% block meta %}

<title>D06 | Forum</title>
<link rel="stylesheet" type="text/css"  href="{% static 'css/forum.css' %}">
{% endblock meta %}
{% block content %}
        <div class="header">
        <img src="https://live.staticflickr.com/65535/51624476788_6a74bc00f6_o.png" width="100%">
        <a href="{% url 'forum:createpost' %}"><div id="headerbutton">Create a post ></div></a>
        </div>

        <div class="box">
            
            {% for post in posts %}
            <div id="forumbox">
                <div id="date">{{post.tanggal}}</div>
                <div id="content">
                    <div id="imgbox"><img src="https://live.staticflickr.com/65535/51634618240_caba66ca65_o.png" width="100%" height="100%"></div>
                    <div id="textbox">
                        <div id="title">{{post.judul}}</div>
                        Posted by <span style="color:#811112">{{post.user}}</span>
                        <div id="reply">
                            <p class="replytxt">
                                {{post.isi}}
                            </p>
                                <a href="javascript:void(0)" onclick="readMore(this)">Read more</a>
                        </div>

                    </div>
                </div>
                <div id="replies">
                    <span style="float:left; margin-left:1vw;">
                    <a href="{% url 'forum:pinpost' %}"><img src="https://live.staticflickr.com/65535/51641344929_129a5a8414_o.png" width="15" height="15" alt="pin">       </a>
                    <a href="{% url 'forum:editpost' %}"><img src="https://live.staticflickr.com/65535/51640907988_6ae295afbb_o.png" width="15" height="15" alt="edit">       </a>
                    <a href="{% url 'forum:deletepost' %}"><img src="https://live.staticflickr.com/65535/51639863637_e2a702f365_o.png" width="15" height="15" alt="trash">       </a>
                    </span>
                    <img src="https://live.staticflickr.com/65535/51640694086_5dd55f6f5f_o.png" width="15" height="15" alt="downvote"> 0
                    <img src="https://live.staticflickr.com/65535/51640694231_8f128b8358_o.png" width="15" height="15" alt="upvote"> 0 
                    <a href="{% url 'forum:replyforum' %}"><img src="https://live.staticflickr.com/65535/51634888131_30f65b41a0_o.png" width="15" height="15" alt="addreply"></a> 0 Replies
                </div>
            </div>
            {% endfor %}

            <script>
                var x, i;
                var maxChar = 550;
                x = document.querySelectorAll(".replytxt");
                for (i = 0; i < x.length; i++) {
                    if (x[i].textContent.length < maxChar){
                        x[i].nextElementSibling.style.display = "none";
                    }
                    else{
                        var showTxt = x[i].textContent.slice(0, maxChar);
                        var hideTxt = x[i].textContent.slice(maxChar);

                        x[i].innerHTML = showTxt + '<span class="dots">...</span><span class="hideTxt">' + hideTxt + '</span>';


                    }
                }

                function readMore(btn){
                    var post = btn.previousElementSibling;
                    post.querySelector(".dots").classList.toggle("hide");
                    post.querySelector(".hideTxt").classList.toggle("show");

                    btn.textContent == "Read more" ? btn.textContent = "Show less" : btn.textContent = "Read more";
                }
            </script>            

        </div>

{% endblock content %}